Get Consent Category Change Log
1 min
GET
https://api.upstartcommerce.com/v1/customer/consent/categories/changelog
Query Parameters
- categoryIdstring<uuid>DescriptionFormatuuid
- limitinteger<int32>DescriptionDefault1000Formatint32Minimum1Maximum5000
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- ConsentCategoryChangeLogEntry[]Description
- versioninteger<int64>requiredFormatint64
- categoryIdstring<uuid>requiredFormatuuid
- operationstring<CREATE | UPDATE | DELETE>requiredAllowedCREATEUPDATEDELETE
- modifiedBystringrequired
- modifiedAtstring<date-time>requiredFormatdate-time
- previousValueobjectDescription
- newValueobjectDescription
- changedFieldsstring[]requiredDescription
- changeReasonstringDescription
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
423
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/consent/categories/changelog?limit=1000"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Change log entries retrieved successfully
[
{
"version": "",
"categoryId": "",
"operation": "",
"modifiedBy": "",
"modifiedAt": "",
"previousValue": {},
"newValue": {},
"changedFields": [
""
],
"changeReason": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}423
// Consent Management is disabled or locked for the tenant, so consent operations are not allowed.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}